- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: Perform a basic check using 'tmt test/plan show'.
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/core/adjust
  order: 50
  path: /default-0/tests/tests/core/adjust
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 1
  sources:
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/core/adjust/main.fmf
  summary: Verify test/plan adjustments based on context
  tag: []
  test: ./test.sh
  tier: '1'
  tty: false
  where: &id001 []
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: Perform a basic check using 'tmt plan show'.
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/core/context
  order: 50
  path: /default-0/tests/tests/core/context
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 2
  sources:
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/core/context/main.fmf
  summary: Verify that context dimension values are case-insensitive
  tag: []
  test: ./test.sh
  tier: '1'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link:
  - verifies: /stories/docs
  manual: false
  name: /tests/core/docs
  order: 50
  path: /default-0/tests/tests/core/docs
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 3
  sources:
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/core/docs/main.fmf
  summary: Check that essential documentation is working
  tag: []
  test: ./test.sh
  tier: '1'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: Check that selecting enabled and disabled stories, plans and tests
    works as expected and that the value is shown correctly.
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/core/enabled
  order: 50
  path: /default-0/tests/tests/core/enabled
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 4
  sources:
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/core/enabled/main.fmf
  summary: Verify the core attribute 'enabled'
  tag: []
  test: ./test.sh
  tier: '1'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: Verify that variables are correctly handed to tests. Also check that
    L2 metadata override L1 metadata and variables provided as command line options
    (including variables loaded from a YAML file) override all. Ensure that environment
    variables have the desired effect.
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/core/environment
  order: 50
  path: /default-0/tests/tests/core/environment
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 5
  sources:
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/core/environment/main.fmf
  summary: Check environment variables handling
  tag: []
  test: ./test.sh
  tier: '1'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: Check that the 'tmt story show', 'tmt plan show' and 'tmt test show'
    correctly display links. Verify that 'tmt story coverage' gives reasonable results.
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/core/link
  order: 50
  path: /default-0/tests/tests/core/link
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 6
  sources:
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/core/link/main.fmf
  summary: Verify the core attribute 'link'
  tag: []
  test: ./test.sh
  tier: '1'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: Make sure that 'tmt stories ls', 'tmt tests ls' and 'tmt plans ls'
    work as expected.
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/core/ls
  order: 50
  path: /default-0/tests/tests/core/ls
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 7
  sources:
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/core/ls/main.fmf
  summary: List available stories, plans and tests
  tag: []
  test: ./test.sh
  tier: '1'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: shell
  id: null
  link: []
  manual: false
  name: /tests/core/smoke
  order: 50
  path: /default-0/tests/tests/core/smoke
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 8
  sources:
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/core/smoke/main.fmf
  summary: Just a basic smoke test
  tag: []
  test: tmt --help
  tier: '0'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 20m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/execute/basic
  order: 50
  path: /default-0/tests/tests/execute/basic
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 9
  sources:
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/execute/main.fmf
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/execute/basic/main.fmf
  summary: Check that test status is correctly reported
  tag:
  - beakerlib
  - provision-connect
  - provision-container
  - provision-virtual
  test: ./test.sh
  tier: '1'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: Verify initializing an empty tree and using the minimal template.
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/init/mini
  order: 50
  path: /default-0/tests/tests/init/mini
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 10
  sources:
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/init/mini/main.fmf
  summary: Initialize empty tree, test the minimal template
  tag: []
  test: ./test.sh
  tier: '1'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/plan/create
  order: 50
  path: /default-0/tests/tests/plan/create
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 11
  sources:
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/plan/create/main.fmf
  summary: Create a test plan using template and command line data
  tag: []
  test: ./test.sh
  tier: '1'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Vector Li <huanli@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/plan/show
  order: 50
  path: /default-0/tests/tests/plan/show
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 12
  sources:
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/plan/show/main.fmf
  summary: Test the feature to list/show plans
  tag: []
  test: ./test.sh
  tier: '1'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/story/create
  order: 50
  path: /default-0/tests/tests/story/create
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 13
  sources:
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/story/create/main.fmf
  summary: Check that a story is created correctly
  tag: []
  test: ./test.sh
  tier: '1'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Vector Li <huanli@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/story/show
  order: 50
  path: /default-0/tests/tests/story/show
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 14
  sources:
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/story/show/main.fmf
  summary: Test the feature to list/show stories
  tag: []
  test: ./test.sh
  tier: '1'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/test/create
  order: 50
  path: /default-0/tests/tests/test/create
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 15
  sources:
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/test/create/main.fmf
  summary: Check that a test is created correctly
  tag: []
  test: ./test.sh
  tier: '1'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Vector Li <huanli@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/test/show
  order: 50
  path: /default-0/tests/tests/test/show
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 16
  sources:
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-coreet0fmk98/plans/features/core/discover/default-0/tests/tests/test/show/main.fmf
  summary: Test the feature to list/show tests
  tag: []
  test: ./test.sh
  tier: '1'
  tty: false
  where: *id001
